Skip to main content
`Ctrl`+`K`

# STGetOptionsPrefix

Gets the prefix used for searching for all `ST` options in the database.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetOptionsPrefix(ST st,const char *prefix[])

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- prefix - pointer to the prefix string used, is returned

## See Also

ST: Spectral Transformation, `STSetOptionsPrefix()`, `STAppendOptionsPrefix()`

## Level

advanced

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages